# Class ApfloatField

java.lang.Object
java.lang.Number
org.jscience.mathematics.number.Number<ApfloatField>
org.apfloat.jscience.AbstractField<ApfloatField, Apfloat>
org.apfloat.jscience.ApfloatField

All Implemented Interfaces:
  `Serializable, Comparable<ApfloatField>, Immutable, Realtime, ValueType, XMLSerializable, Field<ApfloatField>, GroupAdditive<ApfloatField>, GroupMultiplicative<ApfloatField>, Ring<ApfloatField>, Structure<ApfloatField>`

public class ApfloatField extends AbstractField<ApfloatField, Apfloat>
This class represents an arbitrary precision floating-point number.

The precision of each calculation is determined separately, which means that loss of precision can easily accumulate in complicated calculations (e.g. matrix inversion). If this should be avoided, and a fixed precision is required, then it may be better to use `FixedPrecisionApfloatField` instead.

Since:
  1.8.0
Version:
  1.15.0
Author:
  Mikko Tommila
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApfloatField(Apfloat value)`
  Constructs a new floating-point field object with the specified value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ApfloatField`
  `copy()`
  Returns a copy of this object.
  `ApfloatField`
  `inverse()`
  Returns the multiplicative inverse of this object.
  `ApfloatField`
  `opposite()`
  Returns the additive inverse of this object.
  `ApfloatField`
  `plus(ApfloatField that)`
  Returns the sum of this object with the one specified.
  `ApfloatField`
  `times(ApfloatField that)`
  Returns the product of this object with the one specified.

  ### Methods inherited from class AbstractField

  `compareTo, doubleValue, equals, hashCode, isLargerThan, longValue, toText, value`

  ### Methods inherited from class Number

  `byteValue, floatValue, intValue, isGreaterThan, isLessThan, minus, pow, shortValue, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ApfloatField

    public ApfloatField(Apfloat value)
    Constructs a new floating-point field object with the specified value.
    Parameters:
      `value` - The value.

- ## Method Details

  - ### plus

    public ApfloatField plus(ApfloatField that)
    Description copied from class: `AbstractField`
    Returns the sum of this object with the one specified.
    Specified by:
      `plus` in interface `GroupAdditive<ApfloatField>`
    Specified by:
      `plus` in class `AbstractField<ApfloatField, Apfloat>`
    Parameters:
      `that` - The addend.
    Returns:
      `this + that`

  - ### opposite

    public ApfloatField opposite()
    Description copied from class: `AbstractField`
    Returns the additive inverse of this object.
    Specified by:
      `opposite` in interface `GroupAdditive<ApfloatField>`
    Specified by:
      `opposite` in class `AbstractField<ApfloatField, Apfloat>`
    Returns:
      `-this`

  - ### times

    public ApfloatField times(ApfloatField that)
    Description copied from class: `AbstractField`
    Returns the product of this object with the one specified.
    Specified by:
      `times` in interface `GroupMultiplicative<ApfloatField>`
    Specified by:
      `times` in interface `Ring<ApfloatField>`
    Specified by:
      `times` in class `AbstractField<ApfloatField, Apfloat>`
    Parameters:
      `that` - The multiplicand.
    Returns:
      `this * that`

  - ### inverse

    public ApfloatField inverse() throws ArithmeticException
    Description copied from class: `AbstractField`
    Returns the multiplicative inverse of this object.
    Specified by:
      `inverse` in interface `GroupMultiplicative<ApfloatField>`
    Specified by:
      `inverse` in class `AbstractField<ApfloatField, Apfloat>`
    Returns:
      `1 / this`
    Throws:
      `ArithmeticException` - If the divisor is zero.

  - ### copy

    public ApfloatField copy()
    Description copied from class: `AbstractField`
    Returns a copy of this object.
    Specified by:
      `copy` in interface `ValueType`
    Specified by:
      `copy` in class `AbstractField<ApfloatField, Apfloat>`
    Returns:
      A copy of this object.